"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Module = void 0;
const ObjectOption_1 = require("../ObjectOption");
class Module extends ObjectOption_1.ObjectOption {
    constructor(rules = [], value) {
        super({ rules: [] });
        this.rules = rules;
        this.value = Object.assign({ rules: [] }, value);
    }
    get key() {
        return "module";
    }
    addRule(...rule) {
        this.rules.push(...rule);
        return this;
    }
    serialize() {
        const module = Object.assign(Object.assign({}, this.value), { rules: [
                ...this.rules.map((rule) => rule.serialize()),
                ...this.value.rules,
            ] });
        return {
            [this.key]: module,
        };
    }
}
exports.Module = Module;
//# sourceMappingURL=Module.js.map